# MMPose Webcam API

MMPose Webcam API is a handy tool to develop interactive webcam applications with MMPose functions.

<div align=center>
<img src="https://user-images.githubusercontent.com/15977946/153800450-2522efe8-bc11-457d-9037-d8aee4fc4f36.png">
<figcaption>MMPose Webcam API Overview</figcaption>
</div>

## Requirements

* Python >= 3.7.0
* MMPose >= 0.23.0
* MMDetection >= 2.21.0

## Tutorials

* [Get started with MMPose Webcam API (Chinese)](/tools/webcam/docs/get_started_cn.md)
* [Build a Webcam App: A Step-by-step Instruction (Chinese)](/tools/webcam/docs/example_cn.md)

## Examples

* [Pose Estimation](/tools/webcam/configs/examples/): A simple example to estimate and visualize human/animal pose.
* [Eye Effects](/tools/webcam/configs/eyes/): Apply sunglasses and bug-eye effects.
* [Face Swap](/tools/webcam/configs/face_swap/): Everybody gets someone else's face.
* [Meow Dwen Dwen](/tools/webcam/configs/meow_dwen_dwen/): Dress up your cat in Bing Dwen Dwen costume.
* [Super Saiyan](/tools/webcam/configs/supersaiyan/): Super Saiyan transformation!
* [New Year](/tools/webcam/configs/newyear/): Set off some firecrackers to celebrate Chinese New Year.
